Subject: bug#63555: emacs 29 complains that it can't connect to the display

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 May 2023 08:41:01 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 21 May 2023 08:45:06 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Too bad.  I added some verbiage to this effect in NEWS, and I'm
> > closing this bug.
> >
> > (With all these disadvantages, I wonder why the PGTK build was
> > considered such a useful addition to Emacs...)
> 
> To be fair, it solves the problem of running Emacs under Wayland
> reasonably well.

For some value of "reasonably well".  It's the only configuration for
which we explicitly warn users that very bad things could happen
unless they do so-and-so.

> > Btw, the Emacs user manual says WAYLAND_DISPLAY is the variable used
> > by PGTK, which you seem to say is inaccurate?
> 
> WAYLAND_DISPLAY is one of the variables, but there are others too,
> depending on which GDK backends are in use (Broadway, Cygwin, Quartz,
> etc.)  There may also be new GDK backends in the future.
> 
> The user manual should be fixed.

Please do this ASAP.  Or tell me what should be written there, and
then I will do it.